require 'crowdfund/fundrequest'

module CrowdFund
  describe FundRequest do
    before do
      $stdout = StringIO.new
      @crowd_list = FundRequest.new("crowd funding")
      @project1 = Project.new("wooden whistle", 600, 500, 1)
      @crowd_list.add_project(@project1)
    end

    it "adds funds if an even number is rolled" do
      allow_any_instance_of(Die).to receive(:roll).and_return(2)
    
      expect{ @crowd_list.request_funding(2) }.to change(@project1, :funding).by(25 * 2)
    end

    it "removes funds if an odd number is rolled" do
      allow_any_instance_of(Die).to receive(:roll).and_return(5)
    
      expect{ @crowd_list.request_funding(2) }.to change(@project1, :funding).by(-15 * 2)
    end

    it "assigns a pledge for funding during a project funding round" do
      @crowd_list.request_funding(1)
      expect(@project1.pledges).to_not be_zero
    end
  end
end