require 'crowdfund/government_match_project'

module CrowdFund
  describe GovernmentMatchProject do
    before do
      $stdout = StringIO.new
      @initial_funding = 150
      @initial_backers = 1
      @funding_goal = 1000
      @name = "hover car"
      @match = GovernmentMatchProject.new(@name, @funding_goal, @initial_funding, @initial_backers)
    end
  
    it "has a capitalized name" do
      expect(@match.name).to eq("[GOV MATCH] #{@name.capitalize}")
    end
  
    it "does not match funds while under half funded" do
      amount = 150
      expect{ @match.add_funds(amount) }.to change(@match, :funding).by(150)
    end

    it "matches additional funds when projects are at least half funded" do
      amount = 100
      @match.add_funds(350)
      expect{ @match.add_funds(amount) }.to change(@match, :funding).by(200)
    end
  end
end
