require 'crowdfund/grant_project'

module CrowdFund
  describe GrantProject do
    before do
      $stdout = StringIO.new
      @initial_funding = 150
      @initial_backers = 1
      @funding_goal = 10000
      @name = "hover car"
      @grant = GrantProject.new(@name, @funding_goal, @initial_funding, @initial_backers)
    end
  
    it "has a capitalized name" do
      expect(@grant.name).to eq("[GRANT] #{@name.capitalize}")
    end
  
    it "does not decrease funds when funds are removed" do
      amount = 15
      expect{ @grant.remove_funds(amount) }.to change(@grant, :funding).by(0)
    end
  end
end
