require 'crowdfund/pledge_pool'
   
module CrowdFund
  describe Pledge do
    before do
      @pledge = Pledge.new(:silver, 75)
    end

    it "has a name attribute" do
      expect(@pledge.name).to eq(:silver)
    end

    it "has a points attribute" do
      expect(@pledge.amount).to eq(75)
    end
  end

  describe PledgePool do
    it "has four pledge levels" do
      expect(PledgePool::PLEDGES.size).to eq(4)
    end

    it "has a base level worth 25" do
      expect(PledgePool::PLEDGES[0]).to eq(Pledge.new(:base, 25))
    end

    it "has a bronze level worth £50" do
      expect(PledgePool::PLEDGES[1]).to eq(Pledge.new(:bronze, 50))
    end

    it "has a silver level worth £50" do
      expect(PledgePool::PLEDGES[2]).to eq(Pledge.new(:silver, 75))
    end

    it "has a gold level worth £100" do
      expect(PledgePool::PLEDGES[3]).to eq(Pledge.new(:gold, 100))
    end

    it "returns a random pledge" do
      pledge = PledgePool.random

      expect(PledgePool::PLEDGES).to include(pledge)
    end
  end
end
